cURL
curl --request GET \ --url https://{companyName}.api.joinluminous.com/external/api/v1/boms/{bomId} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": 123, "name": "<string>", "items": [ { "id": 123, "bom_id": 123, "product_id": 123, "quantity": 123, "product": { "id": 123, "name": "<string>", "sku": "<string>", "description": "<string>" }, "base_quantity": 123, "note": "<string>", "uom_id": 123, "unit_of_measure": { "id": 123, "name": "<string>" }, "order": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "extra_costs": [ { "id": 123, "name": "<string>", "quantity": 123, "unit_price": 123, "line_total": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Get detailed information about a specific BOM by its ID
Documentation IndexFetch the complete documentation index at: https://docs.joinluminous.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
BOM ID
Successful response
Show child attributes